


// when the DOM is ready:
$(document).ready(function () {

$('#portfolio_slideshow').crossSlide({
  fade: 1
}, [
   {
    src:  'img/portfolio1.jpg',
    alt:  'Sand Castle',
    from: '0% 60%',
    to:   '80% 60% 1.1x',
    time: 5
  }, {
    src:  'img/portfolio2.jpg',
    alt:  'Sunflower',
    from: '90% 90% 0.8x',
    to:   '30% 40% 1.2x',
    time: 4
  }, {
    src:  'img/portfolio3.jpg',
    alt:  'Flip Flops',
    from: '50% 100% 1.5x',
    to:   '50% 0% 1.1x',
    time: 3
  },{
    src:  'img/portfolio4.jpg',
    alt:  'Rubber Ring',
    from: '100% 50% 0.8x',
    to:   '30% 20% 1x',
    time: 3
  }, {
    src:  'img/portfolio5.jpg',
    alt:  'Rubber Ring',
    from: '30% 50% 1.2x',
    to:   '100% 50%',
    time: 3
  }, {
    src:  'img/portfolio6.jpg',
    alt:  'Rubber Ring',
    from: '50% 50%',
    to:   '50% 50% 0.7x',
    time: 3
  }
], function(idx, img, idxOut, imgOut) {
  if (idxOut == undefined)
  {
    // starting single image phase, put up caption
    $('div.caption').text(img.alt).animate({ opacity: .7 })
  }
  else
  {
    // starting cross-fade phase, take out caption
    $('div.caption').fadeOut()
  }
});
$('#portfolio_slideshow').crossSlidePause();

$.address.change(function(event) {
	var show_div = $("#\\"+event.value);
	if(!show_div.length){
		show_div = $("#\\/home");
	}
	if($(".now_showing").is(show_div)) return true;
	$(".now_showing").removeClass("now_showing").fadeOut();
	show_div.addClass("now_showing").fadeIn();
	if(event.value === "/portfolio"){
		$('#portfolio_slideshow').crossSlideResume();
	}else{
		$('#portfolio_slideshow').crossSlidePause();
	}
});  

});